Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.xml.sax.helpers
Class ParserFactory

    java.lang.Object
      |
      +--org.xml.sax.helpers.ParserFactory

Deprecated. This class works with the deprecated `Parser` interface.

public class ParserFactory
extends Object

Java-specific class for dynamically loading SAX parsers.

> This module, both source code and documentation, is in the Public Domain, and comes with NO WARRANTY.

Note: This class is designed to work with the now-deprecated SAX1 `Parser` class. SAX2 applications should use `XMLReaderFactory` instead.

ParserFactory is not part of the platform-independent definition of SAX; it is an additional convenience class designed specifically for Java XML application writers. SAX applications can use the static methods in this class to allocate a SAX parser dynamically at run-time based either on the value of the `org.xml.sax.parser' system property or on a string containing the class name.

Note that the application still requires an XML parser that implements SAX1.

Since:
  SAX 1.0
See Also:
  `Parser`, `Class`

Method Summary
`static Parser` | `makeParser()` Deprecated. Create a new SAX parser using the `org.xml.sax.parser' system property.
`static Parser` | `makeParser(String className)` Deprecated. Create a new SAX parser object using the class name provided.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### makeParser

    public static Parser makeParser()
                             throws ClassNotFoundException,
                                    IllegalAccessException,
                                    InstantiationException,
                                    NullPointerException,
                                    ClassCastException

  Deprecated.
  Create a new SAX parser using the `org.xml.sax.parser' system property.

  The named class must exist and must implement the `Parser` interface.

  Throws:
    `NullPointerException` - There is no value for the `org.xml.sax.parser' system property.
    `ClassNotFoundException` - The SAX parser class was not found (check your CLASSPATH).
    `IllegalAccessException` - The SAX parser class was found, but you do not have permission to load it.
    `InstantiationException` - The SAX parser class was found but could not be instantiated.
    `ClassCastException` - The SAX parser class was found and instantiated, but does not implement org.xml.sax.Parser.
  See Also:
    `makeParser(java.lang.String)`, `Parser`

### makeParser

    public static Parser makeParser(String className)
                             throws ClassNotFoundException,
                                    IllegalAccessException,
                                    InstantiationException,
                                    ClassCastException

  Deprecated.
  Create a new SAX parser object using the class name provided.

  The named class must exist and must implement the `Parser` interface.

  Parameters:
    `className` - A string containing the name of the SAX parser class.
  Throws:
    `ClassNotFoundException` - The SAX parser class was not found (check your CLASSPATH).
    `IllegalAccessException` - The SAX parser class was found, but you do not have permission to load it.
    `InstantiationException` - The SAX parser class was found but could not be instantiated.
    `ClassCastException` - The SAX parser class was found and instantiated, but does not implement org.xml.sax.Parser.
  See Also:
    `makeParser()`, `Parser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.